﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Business Processes</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Business Processes</h1>
        <p>You can create one or more business processes using the <strong>Create Business Processes</strong> page.</p>
        <p>You can perform the following while creating the business process:</p>
        <ul>
            <li>Creating new business process by providing required values such a business process name, description, status and comments, if any.</li>
            <li>Associate one or more functions to the business process.</li>
            <li>Associate one or more roles to the business process.</li>
            <li>Add one or more users as business process owner.</li>
            <li>Publish the business process and associated details.</li>
        </ul>
        <p>To create a business process, perform the following steps:</p>
        <ol>
            <li>Go to <strong>SOD &gt; Ruleset</strong> and click <strong>Business Processes</strong></li>
            <li>Click the <strong>Actions</strong> arrow and select <strong>Create Business Process</strong>.<br /></li>
            <li class="auto-cursor-target">
                <p class="auto-cursor-target">Provide values for the parameters in the <strong>Create Business Process</strong> page and click <strong>Create</strong>.</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 98.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 403.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Business Process Name</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter the business process name.</p>
                                    <p class="table-text">This is a free-text-entry field. The business process name must be unique and system will not allow you to create multiple business processes with the same name.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Description</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter the business process description details.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Status</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the current status of the function.</p>
                                    <p class="table-text">The following options are available to select:</p>
                                    <ul>
                                        <li style="font-size: 14px;">Active</li>
                                        <li style="font-size: 14px;">Inactive</li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Comments</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Enter the relevant comments, if any.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li class="auto-cursor-target">On submission,&#160;the following tabs appear. You can manage (add or remove or modify) the attributes and parameter values in the appropriate tabs.</li>
        </ol>
        <h3 id="CreatingBusinessProcesses-BusinessProcessDetailTab">Business Process Detail Tab</h3>
        <p>Use this tab to manage business process details and current status.&#160;The <strong>Update</strong> button is enabled only if you make any changes in the business process name, description, status and comment parameters.</p>
        <h3>Functions Tab</h3>
        <p>Use this tab to add or remove or modify functions. For more information on what is a function or how to manage functions, see&#160;<MadCap:xref href="Managing-Functions.htm">Functions</MadCap:xref>.</p>
        <h4>Adding Functions</h4>
        <p>To add functions, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Actions</strong> and select <strong>Add Function</strong>.The <strong>Add Function</strong> window is displayed.</li>
            <li>Select one or more check boxes in-line with the functions and click <strong>Save</strong>.<br />The selected functions are added to the list and the <strong>Function(s) Added Successfully</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h4 id="CreatingBusinessProcesses-RemovingFunctions">Removing Functions</h4>
        <p>To remove functions, perform the following steps:<br /></p>
        <p>Select one or more check boxes in-line with the functions and click <strong>Remove Function</strong>.<br />The one or more functions will be removed from the list and the <b>Function(s) Removed&#160;Successfully</b>&#160;pop-up message appears at the upper-right corner.</p>
        <h3 id="CreatingBusinessProcesses-RolesTab">Roles Tab</h3>
        <p>Use this tab to add or remove or modify roles.&#160;For more information on what is a role or how to manage roles, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Managing-Roles.htm">Managing Roles</MadCap:xref> section.</p>
        <h4 id="CreatingBusinessProcesses-AddingRoles">Adding Roles</h4>
        <p>To add roles, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Actions</strong> and select <strong>Add Roles</strong>. The <strong>Add Roles</strong> window appears.</li>
            <li>Select one or more check boxes in-line with the roles and click <strong>Save</strong>.<br />The one or more roles will be added to the list and the <strong>Roles(s) Added Successfully</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h4 id="CreatingBusinessProcesses-RemovingRoles">Removing Roles</h4>
        <p>To remove roles, perform the following steps:</p>
        <ol>
            <li>Select one or more check boxes in-line with the roles and click <strong>Remove Roles.</strong></li>
            <li>The one or more roles will be removed from the list and the <strong>Roles(s) Removed Successfully</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h3 id="CreatingBusinessProcesses-OwnerTab">Owner Tab</h3>
        <p>Use this tab to manage owners. You can add or remove or modify one or more owners to the business process.&#160;The one or more users who is going to be selected as business process owners in this tab can manage and edit the business process.</p>
        <h4 id="CreatingBusinessProcesses-AddingOwners">Adding Owners</h4>
        <p>To add business process, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Actions</strong> and select <strong>Add Owner</strong>. The <strong>Add Owner</strong> window appears.</li>
            <li>Select one or more check boxes in-line with the owner name and click <strong>Save</strong>.<br />The one or more owners will be added to the list and the <strong>Owner(s) Added Successfully</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h4 id="CreatingBusinessProcesses-RemovingOwners">Removing Owners</h4>
        <p>To remove business process, perform the following steps:</p>
        <ol>
            <li>Select one or more check boxes and click <strong>Remove Owner</strong>.</li>
            <li>The one or more owners will be removed from the list and the <strong>Owner(s) Removed</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h3 id="CreatingBusinessProcesses-HistoryTab">History Tab</h3>
        <p>Use this tab to view the history of changes made to a business process.&#160;</p>
        <p>
            <img src="../Resources/Images/business process - history tab.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 921px;height: 257px;" />
        </p>
        <p class="auto-cursor-target">You can view the following details.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 146.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 576.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Attribute</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the attribute that has been changed.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Old Attribute Value</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the existing attribute value.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">New Attribute Value</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the new attribute values.&#160;If the&#160;business process is updated as a part of ruleset upload, the path of upload file is displayed.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Update Date</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the date on which the attribute was updated.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Update User</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the name of the user who has updated the attributes.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Operation</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Displays the operation based on which the attribute was updated.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>